Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### strokeCap()

Examples

    smooth();
    strokeWeight(12.0);
    strokeCap(ROUND);
    line(20, 30, 80, 30);
    strokeCap(SQUARE);
    line(20, 50, 80, 50);
    strokeCap(PROJECT);
    line(20, 70, 80, 70);

Description | Sets the style for rendering line endings. These ends are either squared, extended, or rounded and specified with the corresponding parameters SQUARE, PROJECT, and ROUND. The default cap is ROUND. This function does not work with the P2D, P3D, OR OPENGL renderers (please see the size() reference for more information).

Syntax

    strokeCap(MODE)

Parameters

MODE | Either SQUARE, PROJECT, or ROUND

Usage | Web & Application
Related | stroke() strokeWeight() strokeJoin()

Updated on February 09, 2008 04:38:53pm PST